Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.fingerprint.plugin
Class PluginUtils

    java.lang.Object
      oracle.ifs.admin.tools.fingerprint.plugin.PluginUtils

    public class PluginUtils

extends java.lang.Object

Set of utilities for fingerprinting plugins.

Nested Class Summary
`static class` | `PluginUtils.DefaultLibraryObjectComparator` Default LibraryObject comparator.
`static class` | `PluginUtils.LibraryObjectComparator` Compares two LibraryObjects based on the String representation of a specified attribute of the objects.

Field Summary
`static PluginUtils.DefaultLibraryObjectComparator` | `DEFAULT_LO_COMPARATOR` Default LibraryObject comparator that can be used with `Arrays.sort()`
`static PluginUtils.LibraryObjectComparator` | `LO_NAME_COMPARATOR` Name-based LibraryObject comparator that can be used with `Arrays.sort()`

Method Summary
`static void` | `fingerprintLibraryObject(FingerprintContext context, LibraryObject lo)` Fingerprints a single LibraryObject to the output stream.
`static java.lang.String` | `replacePattern(LibraryObject fpo, java.lang.String attrName, java.lang.String attrValue)` Replaces a pattern for the given attribute, only if needed.
`static java.lang.String` | `toLogString(LibraryObject lo)` Produces a standard string representation of a given LibraryObject, suitable for logging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LO_COMPARATOR

    public static final PluginUtils.DefaultLibraryObjectComparator DEFAULT_LO_COMPARATOR

  Description copied from class: `PluginUtils`
  Default LibraryObject comparator that can be used with `Arrays.sort()`

  (Unpublished)

### LO_NAME_COMPARATOR

    public static final PluginUtils.LibraryObjectComparator LO_NAME_COMPARATOR

  Description copied from class: `PluginUtils`
  Name-based LibraryObject comparator that can be used with `Arrays.sort()`

  (Unpublished)

Method Detail

### fingerprintLibraryObject

    public static void fingerprintLibraryObject(FingerprintContext context,
                                                LibraryObject lo)
                                         throws java.lang.Exception

  Description copied from class: `PluginUtils`
  Fingerprints a single LibraryObject to the output stream.

  Parameters:
    `context` - the context
    `lo` - the object to dump
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

### replacePattern

    public static java.lang.String replacePattern(LibraryObject fpo,
                                                  java.lang.String attrName,
                                                  java.lang.String attrValue)
                                           throws IfsException

  Description copied from class: `PluginUtils`
  Replaces a pattern for the given attribute, only if needed.

  Parameters:
    `fpo` - the object being fingerprinted
    `attrName` - the attribute name
    `attrValue` - the attribute value
  Returns:
    the string with the replacement applied
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toLogString

    public static java.lang.String toLogString(LibraryObject lo)
                                        throws IfsException

  Description copied from class: `PluginUtils`
  Produces a standard string representation of a given LibraryObject, suitable for logging.

  Parameters:
    `lo` - the LibraryObject
  Returns:
    the string representation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD